---
title: "Change Wallet Status"
source_url: https://docs.rapyd.net/en/change-wallet-status.html
lang: en
---

# Change Wallet Status

Disable, enable, delete or close a Rapyd Wallet.

This method triggers the [Wallet Status Changed Webhook](https://docs.rapyd.net/en/wallet-status-changed-webhook.md "Wallet Status Changed Webhook").

In addition, disabling a wallet triggers the [Wallet Disabled Webhook](https://docs.rapyd.net/en/wallet-disabled-webhook.md "Wallet Disabled Webhook"), enabling a wallet triggers the [Wallet Enabled Webhook](https://docs.rapyd.net/en/wallet-enabled-webhook.md "Wallet Enabled Webhook"), and closing a wallet triggers the [Wallet Closed Webhook](https://docs.rapyd.net/en/wallet-closed-webhook.md "Wallet Closed Webhook").

The webhooks contain the same information as the response.

Disable a wallet to prevent the following actions:

- Moving money into or out of the wallet.
- Issuing a bank account number or card to the wallet.

Disable a wallet when the customer requests it, or while you conduct an investigation. Disabling a wallet changes the status of the wallet to **DIS** (disabled).

Enable a wallet to reverse the process. Enabling a wallet changes the status of the wallet to **ACT** (enabled and active).

Close a wallet to permanently disable it. The wallet must have no balances, no pending transactions, and no open virtual accounts. Closing a wallet changes the status of the wallet to **CLO** (permanently closed). You cannot change the status of a closed wallet.

> **Note:**
>
> - This endpoint replaces the following deprecated endpoints:
>
>   - `PUT /v1/user/enable`
>   - `PUT /v1/user/disable`
> - Rapyd no longer supports the deprecated endpoints.
> - The code samples include successful requests (200) and bad requests (400).
>
>   - For error messages that appear due to bad requests (400), see:
>
>     - [General Errors](https://docs.rapyd.net/en/general-errors.md "General Errors")
>     - [Wallet Errors](https://docs.rapyd.net/en/wallet-errors.md "Wallet Errors")
>   - For information about unauthorized request (401) and other authentication errors, see [Troubleshooting Authentication and Authorization Errors](https://docs.rapyd.net/en/troubleshooting-authentication-and-authorization-errors.md "Troubleshooting Authentication and Authorization Errors").

### Parameters

### Request Path Parameters

- - ewallet
  - ID of the Rapyd Wallet. String starting with **ewallet_**.
- - status
  - The change to make in the wallet status. One of the following:

    - **close** - Change the status from enabled and active (ACT) or disabled (DIS) to permanently closed (CLO).
    - **disable** - Change the status from enabled and active (ACT) to disabled (DIS).
    - **enable** - Change the status from disabled (DIS) to enabled and active (ACT).
    - **delete** - Use to delete a wallet that has never been used. Close all virtual accounts issued to the wallet before deleting it.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - idempotency
  - A unique key that prevents the platform from creating the same object twice.

    See [Idempotency](https://docs.rapyd.net/en/idempotency.md "Idempotency").
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - accounts
  - An array of objects with the following fields:

    - - alias
      - Alternate text description of the currency.
    - - balance
      - Available funds in the account.
    - - currency
      - Three-letter ISO 4217 code for the currency used in the `balance` field.
    - - id
      - ID of the account. UUID.
    - - limit
      - Reserved.
    - - limits
      - Reserved.
    - - on_hold_balance
      - Amount in the on-hold balance of the account.
    - - received_balance
      - Amount of escrow funds in the account.
    - - reserve_balance
      - Amount in the reserve balance of the account.
- - category
  - Indicates the type of client wallet. One of the following:

    - **collect**
    - **disburse**
    - **card_authorization**
    - **general**
- - cnls_partner_query_reference
  - Value of the `partner_query_reference` parameter used as the query request ID in the Card Network Lookup Service (CNLS). See [Retrieve Query Results](https://docs.rapyd.net/en/retrieve-query-results.md "Retrieve Query Results"). Relevant to Payment Facilitator (PayFac).
- - contacts
  - Contains the following fields:

    - - data
      - An array of 'contact' objects. For details about the fields of the 'contact' object, see [Add Contact to Wallet](https://docs.rapyd.net/en/add-contact-to-wallet.md "Add Contact to Wallet").
    - - has_more
      - Indicates whether there are more contacts than appear in the `data` array.
    - - total_count
      - The total number of contacts in the wallet.
    - - url
      - URL to retrieve all contacts in the wallet. Use HTTP get.
- - email
  - Email address of the wallet owner. Deprecated. The email address belongs to the contact.
- - ewallet_reference_id
  - Wallet ID defined by the customer or end user.
- - first_name
  - First name of the wallet owner.
- - id
  - Unique identifier of the wallet object. String starting with **ewallet_**.
- - last_name
  - Family name of the wallet owner.
- - metadata
  - A JSON object defined by the client. See [Metadata](https://docs.rapyd.net/en/metadata.md "Metadata").
- - parent_ewallet
  - ID of the parent wallet. String starting with **ewallet_**.
- - phone_number
  - Phone number of the wallet owner in E.164 format. Deprecated. The phone number belongs to the contact.
- - status
  - Status of the wallet. One of the following:

    - **ACT** - Enabled and active.
    - **CLO** - Permanently closed.
    - **DIS** - Disabled.
    - **DEL** - Deleted.
- - type
  - Type of wallet. One of the following:

    - **company** - A business wallet.
    - **person** - The wallet of an individual consumer.
    - **client** - A wallet for the Rapyd client. To create additional wallets of this type, contact [Client Support](https://support.rapyd.net).
- - verification_status
  - Result of the verification check. One of the following:

    - **not verified** - The contact has not been submitted for the **Know Your Customer** checks.
    - **KYCd** - The user has passed the **Know Your Customer** checks.

- /v1/ewallets/:ewallet/statuses/:status

- Disable Wallet
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/ewallets/ewallet_df9de1b6310514f9c11a3f52dddd9ca4/statuses/disable' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw ''
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "109ca279-836d-45ed-87df-6185c88ec177"
      },
      "data": {
          "phone_number": null,
          "email": null,
          "first_name": "John",
          "last_name": "Doe",
          "id": "ewallet_46a159bd410bf4a8627fd07fe0cc872d",
          "status": "DIS",
          "accounts": [],
          "verification_status": "not verified",
          "type": "person",
          "metadata": {},
          "ewallet_reference_id": null,
          "category": null,
          "contacts": null,
          "parent_ewallet": "ewallet_c1943cfeda5f98247ab117e5d2648861",
          "cnls_partner_query_reference": null
      }
  }
  ```

- Enable Wallet
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/ewallets/ewallet_46a159bd410bf4a8627fd07fe0cc872d/statuses/enable' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw ''
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "486360d5-2ea2-42e3-a516-c4564ee25395"
      },
      "data": {
          "phone_number": null,
          "email": null,
          "first_name": "John",
          "last_name": "Doe",
          "id": "ewallet_46a159bd410bf4a8627fd07fe0cc872d",
          "status": "ACT",
          "accounts": [],
          "verification_status": "not verified",
          "type": "person",
          "metadata": {},
          "ewallet_reference_id": null,
          "category": null,
          "contacts": null,
          "parent_ewallet": "ewallet_c1943cfeda5f98247ab117e5d2648861",
          "cnls_partner_query_reference": null
      }
  }
  ```

- Close Wallet
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/ewallets/ewallet_46a159bd410bf4a8627fd07fe0cc872d/statuses/close' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw ''
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "b5ede102-48ea-4e54-ae98-986a6f4448e7"
      },
      "data": {
          "phone_number": null,
          "email": null,
          "first_name": "John",
          "last_name": "Doe",
          "id": "ewallet_46a159bd410bf4a8627fd07fe0cc872d",
          "status": "CLO",
          "accounts": [],
          "verification_status": "not verified",
          "type": "person",
          "metadata": {},
          "ewallet_reference_id": null,
          "category": null,
          "contacts": null,
          "parent_ewallet": "ewallet_c1943cfeda5f98247ab117e5d2648861",
          "cnls_partner_query_reference": null
      }
  }
  ```

- Delete Wallet
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/ewallets/ewallet_5o9059bd410bf4a8627fd07fe0ccgb67/statuses/delete' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw ''
  ```
- ```json

  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "12ef3678-a8eb-4a6b-9281-75c56021655a"
      },
      "data": {
          "accounts": [],
          "verification_status": "not verified",
          "type": "person",
          "category": null,
          "contacts": null,
          "parent_ewallet": null
      }
  }        
  ```

- Bad Request - Wallet Not Found
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/ewallets/ewallet_b9cbf3f4691aab019efacc3e376548d/statuses/close' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw ''
  ```
- ```json
  {
      "status": {
          "error_code": "ERROR_GET_USER",
          "status": "ERROR",
          "message": "The request attempted an operation that requires a wallet, but the wallet was not found. The request was rejected. Corrective action: Use the ID of a valid wallet that has not been deleted. The ID is a string starting with 'ewallet_'.",
          "response_code": "ERROR_GET_USER",
          "operation_id": "3c388269-3e6e-40eb-9f56-7f1a02bd7bde"
      }
  }
  ```

- Bad Request - Status Not Valid
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/ewallets/ewallet_b9cbf3f4691aab019efacc3e376548df/statuses/closed' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw ''
  ```
- ```json
  {
      "status": {
          "error_code": "INVALID_FIELDS - [STATUS]",
          "status": "ERROR",
          "message": "The request attempted an operation, but one or more of the fields did not have a valid value. The request was rejected. Corrective action: Use valid values. The names of the affected fields appear at the end of the error code. See the API Reference for details.",
          "response_code": "INVALID_FIELDS - [STATUS]",
          "operation_id": "850ae137-d7aa-4f26-86c3-9b45a3940555"
      }
  }
  ```
